
program MACH1D_5p0

! Escoamento Q1D de Fluido Compressível Viscoso e Reativo com Troca de Calor

! Versão original 1.0 (Jul 1989)

! programador: Carlos Henrique Marchi
!              Luciano Kiyoshi Araki
! local:       LENA/DEMEC - Curitiba - PR

! Versão atual    5.0 (24 Jun 05)

! última alteração =   27 Fev 06

! arquivos envolvidos na:compilação e execução deste programa:
!          (não inclui os arquivos gerados pelo próprio programa)           

!   FONTES
!     arquivo.f90
!     exato_mach.f90
!     mach1d_geral.f90
!     mach1d_main.f90    (este)
!     mach1d_nomes.f90
!     numerico_constante.f90
!     numerico_geral.f90
!     numerico_variavel.f90
!     numerico_congelado.f90
!     numerico_equilibrio.f90
!     numerico_taxa_finita.f90
!     Gibbs_1p4_modulo.f90
!     plota.f90
!     solvers.f90

!   VISUAL: caixas de diálogo e ícones
!     script1.rc
!     resource.fd
!     resource.h
!     script1.aps

!   EXECUTÁVEIS (outros)
!     notepad.exe
!     wgnuplot.exe

!   ÍCONES
!     frame.ico

!   DADOS (nomes default)

!     mach1d.inicio.ent
!     mach1d.inicio.arquivo.ent
!     mach1d.inicio.exato.ent
!     mach1d.inicio.num_cte.ent
!     mach1d.inicio.num_ger.ent
!     mach1d.inicio.num_var.ent
!     mach1d.inicio.num_cong.ent
!     mach1d.inicio.num_eq.ent
!     mach1d.inicio.num_tf.ent
!     mach1d.inicio.plota.ent

!     mach1d.arquivo.ent
!     mach1d.exato.ent
!     mach1d.geral.ent
!     mach1d.numerico_constante.ent
!     mach1d.numerico_geral.ent
!     mach1d.numerico_variavel.ent
!     mach1d.numerico_congelado.ent
!     mach1d.numerico_equilibrio.ent
!     mach1d.numerico_taxa_finita.ent
!     mach1d.plota.ent

!     mach1d.empuxo.grafico.ent
!     mach1d.Mach.grafico.ent
!     mach1d.massa_especifica.grafico.ent
!     mach1d.pressao.grafico.ent
!     mach1d.temperatura.grafico.ent
!     mach1d.velocidade.grafico.ent

!     propri1.dat
!     propri2.dat
!     Gibbs_coeficientes_cp_h_g.dat
!     Gibbs_coeficientes_ki_mi.dat

!--------------------------------------------------------

USE DFLIB 
!use msfwin

use MACH1D_GERAL ! versão 5.0 (27 Fev 06)

!--------------------------------------------------------

implicit none

!-------------------------------------------------

interface
  logical(4) function initialsettings
  end function
end interface

!--------------------------------------------------------

logical name

name = setwindowtext(gethwndqq(qwin$framewindow), &
       "MACH1D 5.0 - Escoamento Q1D de Fluido Compressível Viscoso e Reativo com Troca de Calor"C)

!--------------------------------------------------------

call MACH1D_GER_executa

!--------------------------------------------------------

call ARQUIVO_fecha_frame

!end
! -----------------------------------------------

!fim = setexitqq(qwin$exitnopersist) 

end

!--------------------------------------------------------

logical(4) function initialsettings()

USE DFLIB 
!  use msflib

  record /qwinfo/ qwi
  qwi.x = 100
  qwi.y =  20
  qwi.w = 600         ! 400  600
  qwi.h = 400         ! 200  400
  qwi.type = qwin$set
  i4 = setwsizeqq(qwin$framewindow,qwi)
  qwi.type = qwin$min
  i4 = setwsizeqq(qwin$framewindow,qwi)

  initialsettings = .true.

end function initialsettings

!--------------------------------------------------------
